# -*- coding: utf-8 -*-
"""
Created on Thu May 31 14:22:48 2018

@author: Usuario
"""

from ADoutputs import daq_AO, daq_DO

import pyqtgraph as pg
from pyqtgraph.Qt import QtCore, QtGui



app = QtGui.QApplication([])


spins = [("Floating-point spin box, min=0, no maximum.", pg.SpinBox(value=5.0, bounds=[0, None]) )]

spin2 = ("Floating-point spin box, min=0, no maximum.", pg.SpinBox(value=5.0, bounds=[0, None]) )

win = QtGui.QMainWindow()
win.setWindowTitle('pyqtgraph example: SpinBox')
cw = QtGui.QWidget()
layout = QtGui.QGridLayout()
cw.setLayout(layout)
win.setCentralWidget(cw)
win.show()

text = "Mi prueba fantastica"
spin = pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1)

label = QtGui.QLabel(text)
layout.addWidget(label)
layout.addWidget(spin)

analog0 = daq_AO(0)

def whenChange(sb):
    analog0.set_analog_out(sb.value())
    
spin.sigValueChanging.connect(whenChange)